Johannes.Reiher | 9 Jan 14:44 2013
Picon

HaskellDB-HDBC-PostgreSQL installation problem

Hello Community,

I have a problem installing the HaskellDB-HDBC-PostgreSQL package with cabal.
I'm using Haskell Platform in Windows and I tried to install this package, but there was the error "could not
find pq library". So I tried to install libpq wich includes pq but there was another error: "this package
needs a unix installation".
Is there any way to install pq on Windows or get the HaskellDB-HDBC-PostgreSQL in another way?

Thanks for your advice

Johannes Reiher
Christopher Done | 9 Jan 14:50 2013
Picon

Re: HaskellDB-HDBC-PostgreSQL installation problem

Tricky. For what it's worth, if you can't figure this out in the end,
you could perhaps use my pgsql-simple which is implemented in pure
haskell: https://github.com/chrisdone/pgsql-simple It's been in use on
hpaste.org for about 2 years.

On 9 January 2013 14:44, Johannes.Reiher <Johannes.Reiher <at> fh-zwickau.de> wrote:
> Hello Community,
>
> I have a problem installing the HaskellDB-HDBC-PostgreSQL package with cabal.
> I'm using Haskell Platform in Windows and I tried to install this package, but there was the error "could
not find pq library". So I tried to install libpq wich includes pq but there was another error: "this
package needs a unix installation".
> Is there any way to install pq on Windows or get the HaskellDB-HDBC-PostgreSQL in another way?
>
> Thanks for your advice
>
> Johannes Reiher
>
> _______________________________________________
> Haskell-Cafe mailing list
> Haskell-Cafe <at> haskell.org
> http://www.haskell.org/mailman/listinfo/haskell-cafe
Alexander Alexeev | 9 Jan 15:39 2013

Re: HaskellDB-HDBC-PostgreSQL installation problem

Try Persistent package. It doesn't depends on libpq and has many useful features (see http://www.yesodweb.com/book/persistent for details)

On 01/09/2013 05:50 PM, Christopher Done wrote:
Tricky. For what it's worth, if you can't figure this out in the end, you could perhaps use my pgsql-simple which is implemented in pure haskell: https://github.com/chrisdone/pgsql-simple It's been in use on hpaste.org for about 2 years. On 9 January 2013 14:44, Johannes.Reiher <Johannes.Reiher <at> fh-zwickau.de> wrote:
Hello Community, I have a problem installing the HaskellDB-HDBC-PostgreSQL package with cabal. I'm using Haskell Platform in Windows and I tried to install this package, but there was the error "could not find pq library". So I tried to install libpq wich includes pq but there was another error: "this package needs a unix installation". Is there any way to install pq on Windows or get the HaskellDB-HDBC-PostgreSQL in another way? Thanks for your advice Johannes Reiher _______________________________________________ Haskell-Cafe mailing list Haskell-Cafe <at> haskell.org http://www.haskell.org/mailman/listinfo/haskell-cafe
_______________________________________________ Haskell-Cafe mailing list Haskell-Cafe <at> haskell.org http://www.haskell.org/mailman/listinfo/haskell-cafe


-- Best regards, Alexander Alexeev http://eax.me/
_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe
Felipe Almeida Lessa | 9 Jan 16:55 2013
Picon

Re: HaskellDB-HDBC-PostgreSQL installation problem

AFAIK, persistent's PostgreSQL support does depend on libpq via
postgresql-libpq.

On Wed, Jan 9, 2013 at 12:39 PM, Alexander Alexeev <mail <at> eax.me> wrote:
> Try Persistent package. It doesn't depends on libpq and has many useful
> features (see http://www.yesodweb.com/book/persistent for details)
>
>
> On 01/09/2013 05:50 PM, Christopher Done wrote:
>
> Tricky. For what it's worth, if you can't figure this out in the end,
> you could perhaps use my pgsql-simple which is implemented in pure
> haskell: https://github.com/chrisdone/pgsql-simple It's been in use on
> hpaste.org for about 2 years.
>
> On 9 January 2013 14:44, Johannes.Reiher <Johannes.Reiher <at> fh-zwickau.de>
> wrote:
>
> Hello Community,
>
> I have a problem installing the HaskellDB-HDBC-PostgreSQL package with
> cabal.
> I'm using Haskell Platform in Windows and I tried to install this package,
> but there was the error "could not find pq library". So I tried to install
> libpq wich includes pq but there was another error: "this package needs a
> unix installation".
> Is there any way to install pq on Windows or get the
> HaskellDB-HDBC-PostgreSQL in another way?
>
> Thanks for your advice
>
> Johannes Reiher
>
> _______________________________________________
> Haskell-Cafe mailing list
> Haskell-Cafe <at> haskell.org
> http://www.haskell.org/mailman/listinfo/haskell-cafe
>
> _______________________________________________
> Haskell-Cafe mailing list
> Haskell-Cafe <at> haskell.org
> http://www.haskell.org/mailman/listinfo/haskell-cafe
>
>
>
> --
> Best regards,
> Alexander Alexeev
> http://eax.me/
>
>
> _______________________________________________
> Haskell-Cafe mailing list
> Haskell-Cafe <at> haskell.org
> http://www.haskell.org/mailman/listinfo/haskell-cafe
>

--

-- 
Felipe.
erik flister | 10 Jan 00:12 2013
Picon

Re: HaskellDB-HDBC-PostgreSQL installation problem

>> there was another error: "this package needs a
>> unix installation".

you need to use MinGW, but it still fails because of a GHC bug
http://hackage.haskell.org/trac/ghc/ticket/7103
https://github.com/lpsmith/postgresql-libpq/issues/7
-e

Gmane